/* SwissBetty-TV-Fernbedienung: sound.h */
/* Soundausgabe ber den PWM-Block */

#ifndef SOUNDINCLUDED
#define SOUNDINCLUDED

/*
Die Betty hat keinen dedizierten CODEC eingebaut, weswegen jeder Sound
nur ber den PWM-Block erzeugt werden kann. Daher sind nur 8 Bit Sounds
in Mono mit 11025 Hz (unausprobiert: 22050 Hz) Samplefrequenz mglich.

Zum Einsparen von Speicherplatz kann auch das SOL (Sierra) Format in
der 8 Bit Version benutzt werden.

Jeder Sound mu folgenden Aufbau haben:
- long Anzahl der Samples, bigendian
- long Samplefrequenz, bigendian
- byte Flags
- bytes Samples[]....

zum SOL-Format:
gestartet wird mit Sample = 128
dann in jedem Byte zwei Nibbles: HiNibble = zuerst, LoNibble danach.
Jedes Nibble ist ein Index in eine Offsettafel.
Gerechnet wird:
Sample = Sample + Tafel[Nibble];

 */

/* SoundFlags Bits */
#define isSOL   1       /* SOL: 2 Samples pro Byte */




#define SACC  struct SampleContext
struct SampleContext
{ byte* SamplePointer;
  long  SampleCount;
  long  OldSample;
  byte  SoundFlags;
  byte  Slack;
};

extern SACC SoundTafel;

extern bool PlaySound ( char* aSound);


#endif
