/* SwissBetty-TV-Fernbedienung: appmain.c */

/* Vorlage fr eine App auf der Betty */
#include "LPC22xx.h"
#include "StdTypes.h"


#if defined (GCC)
#include "BettyAppGcc.h"
#else
#include "BettyAppArm.h"
#endif

int main(void)
{ 
  char c;

  FillLanes (white);
  LichtEin();
  ScrBlt();

  c = 0;
  double x,xx,y,cx,cy;
  int iteration,hx,hy;
  int itermax = 100;		/* how many iterations to do	*/
  double magnify=1.0;		/* no magnification		*/
  int hxres = 160;		/* horizonal resolution		*/
  int hyres = 128;		/* vertical resolution		*/

  for (hy=1;hy<=hyres;hy++)  {
	for (hx=1;hx<=hxres;hx++)  {
		cx = (((float)hx)/((float)hxres)-0.5)/magnify*3.0-0.7;
		cy = (((float)hy)/((float)hyres)-0.5)/magnify*3.0;
		x = 0.0; y = 0.0;
		for (iteration=1;iteration<itermax;iteration++)  {
  		  xx = x*x-y*y+cx;
		  y = 2.0*x*y+cy;
		  x = xx;
		  if (x*x+y*y>100.0)  iteration = 99999;
		}
		if (iteration<99999)  CgPixel_at (hy, hx, black);
		  else CgPixel_at (hy, hx, white);

                ScrBlt();
	}
  }

  ScrBlt();
  c = 0;
  while (c==0) {
    if (IsKeyAvailable()) c = TranslateKeynum(GetKey());
  }
  FillLanes (white);
  return 42;
}


