/* SwissBetty-TV-Fernbedienung: appmain.c */

/* Vorlage fr eine App auf der Betty */
#include "LPC22xx.h"
#include "StdTypes.h"


#if defined (GCC)
#include "BettyAppGcc.h"
#else
#include "BettyAppArm.h"
#endif

#define MAX 21

int rnd_seed;

void set_rnd_seed (int new_seed)
{
    rnd_seed = new_seed;
}

int rnd_int (void)
{
    int k1;
    int ix = rnd_seed;
	
    k1 = ix / 127773;
    ix = 16807 * (ix - k1 * 127773) - k1 * 2836;
    if (ix < 0)
        ix += 2147483647;
    rnd_seed = ix;
    return rnd_seed;
}

int main(void)
{ char c;
  int which,i;

  set_rnd_seed(T0TC); //init pseudo random generator

  LichtEin();
  c = 0;

  while (c == 0) {
  FillLanes (white);
  which = rnd_int() % MAX;

  switch(which) {
    case 0:
  	CgStr_at( 10,  10, "DER DER ICH",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "BIN GRUEST",   black | idf_Helv_12B);
  	CgStr_at( 10,  50, "TRAURIG DEN",  black | idf_Helv_12B);
  	CgStr_at( 10,  70, "DER ICH",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "SEIN MOECHTE", black | idf_Helv_12B);
	break;

    case 1:
  	CgStr_at( 10,  10, "DER IDEALISMUS",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "WAECHST MIT",     black | idf_Helv_12B);
  	CgStr_at( 10,  50, "DER ENTFERNUNG",  black | idf_Helv_12B);
  	CgStr_at( 10,  70, "VOM PROBLEM",     black | idf_Helv_12B);
	break;
  
    case 2:
  	CgStr_at( 10,  10, "DER MENSCH",   black | idf_Helv_12B);
  	CgStr_at( 10,  30, "IST NICHTS",   black | idf_Helv_12B);
  	CgStr_at( 10,  50, "ANDERES",      black | idf_Helv_12B);
  	CgStr_at( 10,  70, "ALS WOZU ER",  black | idf_Helv_12B);
  	CgStr_at( 10,  90, "SICH MACHT",   black | idf_Helv_12B);
	break;

    case 3:
  	CgStr_at( 10,  10, "EIN PLAN DER",    black | idf_Helv_12B);
  	CgStr_at( 10,  30, "SICH NICHT",      black | idf_Helv_12B);
  	CgStr_at( 10,  50, "AENDERN LAESST",  black | idf_Helv_12B);
  	CgStr_at( 10,  70, "IST EIN DOOFER",  black | idf_Helv_12B);
  	CgStr_at( 10,  90, "PLAN",            black | idf_Helv_12B);
	break;

    case 4:
  	CgStr_at( 10,  10, "FEHLER DIE WIR",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "EINSEHEN",        black | idf_Helv_12B);
  	CgStr_at( 10,  50, "KOENNEN NICHT",   black | idf_Helv_12B);
  	CgStr_at( 10,  70, "MEHR INS",        black | idf_Helv_12B);
  	CgStr_at( 10,  90, "AUGE GEHEN",      black | idf_Helv_12B);
	break;

    case 5:
  	CgStr_at( 10,  10, "WER KEINEN MUT",     black | idf_Helv_12B);
  	CgStr_at( 10,  30, "ZUM TRAEUMEN HAT",   black | idf_Helv_12B);
  	CgStr_at( 10,  50, "HAT KEINE KRAFT",    black | idf_Helv_12B);
  	CgStr_at( 10,  70, "ZUM KAEMPFEN",       black | idf_Helv_12B);
	break;

    case 6:
  	CgStr_at( 10,  10, "IN DIR MUSS",     black | idf_Helv_12B);
  	CgStr_at( 10,  30, "BRENNEN WAS DU",  black | idf_Helv_12B);
  	CgStr_at( 10,  50, "IN ANDEREN",      black | idf_Helv_12B);
  	CgStr_at( 10,  70, "ENTZUENDEN",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "MOECHTEST",       black | idf_Helv_12B);
	break;

    case 7:
  	CgStr_at( 10,  10, "DER DER ICH",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "BIN GRUEST",   black | idf_Helv_12B);
  	CgStr_at( 10,  50, "TRAURIG DEN",  black | idf_Helv_12B);
  	CgStr_at( 10,  70, "DER ICH",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "SEIN MOECHTE", black | idf_Helv_12B);
	break;

    case 8:
  	CgStr_at( 10,  10, "AN DEM TAG",     black | idf_Helv_12B);
  	CgStr_at( 10,  30, "AN DEM DU ZU",   black | idf_Helv_12B);
  	CgStr_at( 10,  50, "REISEN AUF",     black | idf_Helv_12B);
  	CgStr_at( 10,  70, "HOERST BIST DU", black | idf_Helv_12B);
  	CgStr_at( 10,  90, "ANGEKOMMEN",     black | idf_Helv_12B);
	break;

    case 9:
  	CgStr_at( 10,  10, "TRAEUME NICHT",black | idf_Helv_12B);
  	CgStr_at( 10,  30, "DEIN LEBEN",   black | idf_Helv_12B);
  	CgStr_at( 10,  50, "LEBE DEINEN",  black | idf_Helv_12B);
  	CgStr_at( 10,  70, "TRAUM",        black | idf_Helv_12B);
	break;

    case 10:
  	CgStr_at( 10,  10, "WEGE ENTSTEHEN",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "DADURCH DAS",     black | idf_Helv_12B);
  	CgStr_at( 10,  50, "MAN SIE GEHT",    black | idf_Helv_12B);
	break;

    case 11:
  	CgStr_at( 10,  10, "SELBST EINE REISE",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "VON 1000 MEILEN",    black | idf_Helv_12B);
  	CgStr_at( 10,  50, "BEGINNT MIT DEM",    black | idf_Helv_12B);
  	CgStr_at( 10,  70, "ERSTEN SCHRITT",     black | idf_Helv_12B);
	break;

    case 12:
  	CgStr_at( 10,  10, "EIN TAG OHNE ZU",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "LAECHELN IST EIN", black | idf_Helv_12B);
  	CgStr_at( 10,  50, "VERLORENER TAG",   black | idf_Helv_12B);
	break;

    case 13:
  	CgStr_at( 10,  10, "WENN DU NUR DAS",     black | idf_Helv_12B);
  	CgStr_at( 10,  30, "TUST WAS DU",         black | idf_Helv_12B);
  	CgStr_at( 10,  50, "BEREITS KANNST",      black | idf_Helv_12B);
  	CgStr_at( 10,  70, "BLEIBST DU DAS",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "WAS DU BEREITS BIST", black | idf_Helv_12B);
	break;

    case 14:
  	CgStr_at( 10,  10, "TRITT NICHT IN DIE",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "FUSSSTAPFEN ANDERER", black | idf_Helv_12B);
  	CgStr_at( 10,  50, "DU HINTERLSST",      black | idf_Helv_12B);
  	CgStr_at( 10,  70, "SONST SELBST ",       black | idf_Helv_12B);
  	CgStr_at( 10,  90, "KEINE SPUREN",        black | idf_Helv_12B);
	break;

    case 15:
  	CgStr_at( 10,  10, "JEDE ROHHEIT HAT",    black | idf_Helv_12B);
  	CgStr_at( 10,  30, "IHREN URSPRUNG",      black | idf_Helv_12B);
  	CgStr_at( 10,  50, "IN EINER SCHWAECHE",  black | idf_Helv_12B);
	break;

    case 16:
  	CgStr_at( 10,  10, "MAN KANN DIR",   black | idf_Helv_12B);
  	CgStr_at( 10,  30, "DEN WEG WEISEN", black | idf_Helv_12B);
  	CgStr_at( 10,  50, "GEHEN MUSST",    black | idf_Helv_12B);
  	CgStr_at( 10,  70, "DU IHN",         black | idf_Helv_12B);
  	CgStr_at( 10,  90, "ALLEINE",        black | idf_Helv_12B);
	break;

    case 17:
  	CgStr_at( 10,  10, "GLUECK IST DAS",   black | idf_Helv_12B);
  	CgStr_at( 10,  30, "EINZIGE WAS",      black | idf_Helv_12B);
  	CgStr_at( 10,  50, "SICH VERDOPPELT",  black | idf_Helv_12B);
  	CgStr_at( 10,  70, "WENN MAN ES",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "TEILT",            black | idf_Helv_12B);
	break;

    case 18:
  	CgStr_at( 10,  10, "GIB JEDEM TAG",      black | idf_Helv_12B);
  	CgStr_at( 10,  30, "DIE CHANGE",         black | idf_Helv_12B);
  	CgStr_at( 10,  50, "DER SCHOENSTE",      black | idf_Helv_12B);
  	CgStr_at( 10,  70, "DEINES LEBENS",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "ZU WERDEN",          black | idf_Helv_12B);
	break;

    case 19:
  	CgStr_at( 10,  10, "PHANTASIE IST",   black | idf_Helv_12B);
  	CgStr_at( 10,  30, "WICHTIGER ALS",   black | idf_Helv_12B);
  	CgStr_at( 10,  50, "WISSEN DENN",      black | idf_Helv_12B);
  	CgStr_at( 10,  70, "WISSEN IST",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "BEGRENZT",        black | idf_Helv_12B);
	break;

    case 20:
  	CgStr_at( 10,  10, "NICHT DIE JAHRE",   black | idf_Helv_12B);
  	CgStr_at( 10,  30, "IN UNSEREM LEBEN",  black | idf_Helv_12B);
  	CgStr_at( 10,  50, "ZAEHLEN SONDERN",   black | idf_Helv_12B);
  	CgStr_at( 10,  70, "DAS LEBEN IN",      black | idf_Helv_12B);
  	CgStr_at( 10,  90, "IN UNSEREN JAHREN", black | idf_Helv_12B);
	break;

    default:
  	CgStr_at( 10,  10, "AUGE UM AUGE",  black | idf_Helv_12B);
  	CgStr_at( 10,  30, "BEDEUTET NUR",  black | idf_Helv_12B);
  	CgStr_at( 10,  50, "DAS DIE WELT",  black | idf_Helv_12B);
  	CgStr_at( 10,  70, "ERBLINDET",     black | idf_Helv_12B);
	break;

  }
  ScrBlt();
  i = T0TC;
  while ((T0TC - i) < 10000);
  if (IsKeyAvailable())  c = TranslateKeynum(GetKey());
  }

  FillLanes (white);

  return which;
}


